classification
Title: Uninstalling Py352 x86 with /uninstall option does not remove prepended paths
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: jcrmatos, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-11-01 06:34 by jcrmatos, last changed 2021-10-19 22:42 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
Temp.zip jcrmatos, 2016-11-01 15:30 Logs
Messages (3)
msg279852 - (view) Author: (jcrmatos) * Date: 2016-11-01 06:34
Hello,

When uninstalling Py352 x86 with the /uninstall option, it doesn't remove the prepended paths that were added on installation (unlike the GUI uninstall which removes them).

My system is a Win7ProSP1 x64.

Best regards,

JM
msg279877 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-11-01 13:14
Does it go away after restarting? It's not easy to remove a setting like that from programs that are already running.

Also, can you post your log files? They'll be in %TEMP% and you can zip them up first to make it easier.
msg279881 - (view) Author: (jcrmatos) * Date: 2016-11-01 15:30
Hello,

The GUI uninstall removes the prepended paths w/o requiring a reboot, so I see no reason why the /uninstall method shouldn't do it too.

I did try to reboot afterwards, but the paths remain.

I also tested on another PC, with Windows 8.1 x64, with the same results.

What is strange is that the /uninstall method removes the .PY and .PYW from the PATHEXT env var, but keeps the prepended paths.
I attached the logs as requested.

All tries were made using using

python-3.5.2.exe InstallAllUsers=1 CompileAll=1 InstallLauncherAllUsers=0 PrependPath=1 /passive

for installation and

python-3.5.2.exe /uninstall

for uninstallation.

Best regards,

JM
History
Date User Action Args
2021-10-19 22:42:09iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2019-08-07 17:07:14steve.dowerlinkissue37786 superseder
2016-11-01 15:30:30jcrmatossetfiles: + Temp.zip

messages: + msg279881
2016-11-01 13:14:13steve.dowersetassignee: steve.dower
2016-11-01 13:14:08steve.dowersetmessages: + msg279877
2016-11-01 06:34:13jcrmatoscreate